package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelOrderUpdatestatusRequest struct {
	/*
	   修改信息     */
	OrderStatusInfo *domain.AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo `json:"order_status_info" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusRequest) SetOrderStatusInfo(v domain.AlibabaTclsAelophyMerchantChannelOrderUpdatestatusOrderStatusInfo) *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusRequest {
	s.OrderStatusInfo = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderStatusInfo != nil {
		paramMap["order_status_info"] = util.ConvertStruct(*req.OrderStatusInfo)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelOrderUpdatestatusRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
